# Partner tạo hotline

{% hint style="info" %}
**Lưu ý:**

* Vui lòng sử dụng [`<api_key>`](/tich-hop-api/partner/tai-khoan.md)mà eTelecom đã cung cấp trước đó. Thông tin base\_url của [Partner](/tich-hop-api/partner/tai-khoan.md)
  {% endhint %}

{% openapi src="/files/yEC15i0shc48jxOVJGdy" path="$BASE\_URL.Etelecom/PartnerAddHotline" method="post" %}
[swagger (4).json](https://4211996220-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F9CUTEBoYNqJaZqxNp3Eh%2Fuploads%2FDSjNRcr1CvPi3IF1XaDo%2Fswagger%20\(4\).json?alt=media\&token=4f6e8fa5-0b57-40f4-bcae-a710d90ae37d)
{% endopenapi %}

**Request:**

```json
curl --location 'BASE_URL.Etelecom/PartnerAddHotline' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer $API_KEY' \
--data '{
  "description": "string",
  "hotline": "string",
  "is_free_charge": true,
  "name": "string",
  "network": "unknown",
  "owner_id": "string"
}'
```

**Response:**

```json
{
  "connection_id": "string",
  "connection_method": "unknown",
  "created_at": "2019-08-24T14:15:22Z",
  "description": "string",
  "hotline": "string",
  "id": "string",
  "is_free_charge": true,
  "name": "string",
  "network": "unknown",
  "owner_id": "string",
  "status": "Z",
  "updated_at": "2019-08-24T14:15:22Z"
}
```

**Cấu trúc body của request:**

<table><thead><tr><th width="180">Tham số</th><th width="235">Kiểu dữ liệu</th><th>Mô tả</th></tr></thead><tbody><tr><td>description</td><td>string</td><td>Mô tả hotline</td></tr><tr><td>hotline<br><mark style="color:red;">require</mark></td><td>string</td><td>Số hotline muốn tạo</td></tr><tr><td>is_free_charge</td><td>boolean</td><td><mark style="color:red;"><strong><code>true</code></strong></mark>: không kiểm tra số dư khi gọi<br><mark style="color:red;"><strong><code>false</code></strong></mark>: kiểm tra số dư khi gọi</td></tr><tr><td>name<br><mark style="color:red;">required</mark></td><td>string</td><td>Tên hotline</td></tr><tr><td>network</td><td>string (tcMobileNetwork) Enum</td><td>Nhà mạng <mark style="color:red;"><strong><code>unknown</code></strong></mark> <mark style="color:red;"><strong><code>mobifone</code></strong></mark> <mark style="color:red;"><strong><code>vinaphone</code></strong></mark> <mark style="color:red;"><strong><code>viettel</code></strong></mark> <mark style="color:red;"><strong><code>other</code></strong></mark></td></tr></tbody></table>

**Cấu trúc thuộc tính dữ liệu trả về:**

<table><thead><tr><th width="201.33333333333331">Tham số</th><th width="198">Kiểu dữ liệu</th><th>Mô tả</th></tr></thead><tbody><tr><td>connection_id</td><td>string&#x3C;int64></td><td>ID phiên kết nối</td></tr><tr><td>connection_method</td><td>string</td><td>Phương thức kết nối</td></tr><tr><td>created_at</td><td>string&#x3C;date-time></td><td>Thời gian khởi tạo</td></tr><tr><td>description</td><td>string</td><td>Mô tả hotline</td></tr><tr><td>hotline</td><td>string&#x3C;int64></td><td>Số hotline</td></tr><tr><td>id</td><td>string&#x3C;int64></td><td>ID của hotline</td></tr><tr><td>is_free_charge</td><td>boolean</td><td><mark style="color:red;"><strong><code>true</code></strong></mark>: không kiểm tra số dư khi gọi<br><mark style="color:red;"><strong><code>false</code></strong></mark>: kiểm tra số dư khi gọi</td></tr><tr><td>name</td><td>string</td><td>Tên hotline</td></tr><tr><td>network</td><td>string</td><td>Nhà mạng <mark style="color:red;"><strong><code>unknown</code></strong></mark> <mark style="color:red;"><strong><code>mobifone</code></strong></mark> <mark style="color:red;"><strong><code>vinaphone</code></strong></mark> <mark style="color:red;"><strong><code>viettel</code></strong></mark> <mark style="color:red;"><strong><code>other</code></strong></mark></td></tr><tr><td>owner_id</td><td>string&#x3C;int64></td><td>ID người quản lý</td></tr><tr><td>status</td><td>string</td><td>Trạng thái<br><mark style="color:red;"><strong><code>Z</code></strong></mark>: Mới tạo<br><mark style="color:red;"><strong><code>P</code></strong></mark>: Enable<br><mark style="color:red;"><strong><code>N</code></strong></mark>: Disable</td></tr><tr><td>updated_at</td><td>string&#x3C;date-time></td><td>Ngày cập nhật</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.etelecom.vn/tich-hop-api/tong-dai/api-tong-dai/partner-tao-hotline.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
